/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.scheduleView.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.scheduleView.entity.ScheduleView;

import java.util.List;

/**
 * 查询模块MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface ScheduleViewMapper extends BaseMapper<ScheduleView> {

    List<ScheduleView> scheduleProjectAll(ScheduleView scheduleView);

    List<ScheduleView> disAll(ScheduleView scheduleView);

    List<ScheduleView> recAll(ScheduleView scheduleView);

    List<ScheduleView> settAll(ScheduleView scheduleView);

    List<ScheduleView> civilAll(ScheduleView scheduleView);

    List<ScheduleView> electricAll(ScheduleView scheduleView);

}